# Admin Directory API

## Instance Methods

Returns the asps Resource.

Returns the channels Resource.

Returns the chromeosdevices Resource.

Returns the customers Resource.

Returns the domainAliases Resource.

Returns the domains Resource.

Returns the groups Resource.

Returns the members Resource.

Returns the mobiledevices Resource.

Returns the notifications Resource.

Returns the orgunits Resource.

Returns the privileges Resource.

Returns the resources Resource.

Returns the roleAssignments Resource.

Returns the roles Resource.

Returns the schemas Resource.

Returns the tokens Resource.

Returns the users Resource.

Returns the verificationCodes Resource.

Create a BatchHttpRequest object based on the discovery document.

### Method Details

`new_batch_http_request()`

    Create a BatchHttpRequest object based on the discovery document.

            Args:
              callback: callable, A callback to be called for each response, of the
                form callback(id, response, exception). The first parameter is the
                request id, and the second is the deserialized response object. The
                third is an apiclient.errors.HttpError exception object if an HTTP
                error occurred while processing the request, or None if no error
                occurred.

            Returns:
              A BatchHttpRequest object based on the discovery document.